<?php
session_start();

// Check if the user is already logged in
if (isset($_SESSION['logged_in']) && $_SESSION['logged_in']) {
    // Redirect to the main page if already logged in
    header('Location: index.php.php');
    exit;
}

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Check if the provided username and password are correct
    if ($username === 'cocoeats' && password_verify($password, password_hash('8080', PASSWORD_DEFAULT))) {
        // Set session variables to mark the user as logged in
        $_SESSION['logged_in'] = true;
        $_SESSION['username'] = $username;

        // Redirect to the main page after successful login
        header('Location: index.php');
        exit;
    } else {
        // Invalid login, show an error message
        $error = "Invalid username or password.";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login - Order Management System</title>
    <style>
        /* Your CSS styles for the login page */
        /* ... */
    </style>
</head>
<body>

<div style="text-align: center; margin-top: 50px;">
    <h2>Login</h2>

    <?php if (isset($error)) : ?>
        <p style="color: red;"><?php echo $error; ?></p>
    <?php endif; ?>

    <form method="post" action="">
        <label for="username">Username:</label>
        <input type="text" id="username" name="username" required><br>

        <label for="password">Password:</label>
        <input type="password" id="password" name="password" required><br>

        <button type="submit">Login</button>
    </form>
</div>

</body>
</html>
